Index: code/trunk/src/audio/AudioBuffer.h
===================================================================
--- code/trunk/src/audio/AudioBuffer.h	(revision 1024)
+++ code/trunk/src/audio/AudioBuffer.h	(revision 1039)
@@ -1,8 +1,37 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Nicolas Perrenoud <nicolape@ee.ethz.ch>
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #ifndef _AudioBuffer_H__
 #define _AudioBuffer_H__
 
-#include "AudioIncludes.h"
+#include "AudioPrereqs.h"
 
-#include "AudioPrereqs.h"
+#include <string>
+
+#include <AL/al.h>
 
 namespace audio
Index: code/trunk/src/audio/AudioIncludes.h
===================================================================
--- code/trunk/src/audio/AudioIncludes.h	(revision 1024)
+++ code/trunk/src/audio/AudioIncludes.h	(revision 1039)
@@ -1,2 +1,37 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Nicolas Perrenoud <nicolape@ee.ethz.ch>
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+  @file
+  @brief Various headers used in the audio lib. Avoid including this to
+         increase accuracy of header file dependencies.
+*/
+
+#include "AudioPrereqs.h"
+
 #include <iostream>
 #include <vector>
Index: code/trunk/src/audio/AudioManager.cc
===================================================================
--- code/trunk/src/audio/AudioManager.cc	(revision 1024)
+++ code/trunk/src/audio/AudioManager.cc	(revision 1039)
@@ -27,4 +27,8 @@
 
 #include "AudioManager.h"
+
+#include <AL/alut.h>
+
+#include "core/Error.h"
 #include "core/Debug.h"
 
Index: code/trunk/src/audio/AudioManager.h
===================================================================
--- code/trunk/src/audio/AudioManager.h	(revision 1024)
+++ code/trunk/src/audio/AudioManager.h	(revision 1039)
@@ -1,11 +1,38 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Nicolas Perrenoud <nicolape@ee.ethz.ch>
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #ifndef _AudioManager_H__
 #define _AudioManager_H__
 
-#include "AudioIncludes.h"
+#include "AudioPrereqs.h"
+
+#include <vector>
+#include <string>
 
 #include "core/Tickable.h"
-
-#include "AudioPrereqs.h"
-
 #include "AudioBuffer.h"
 #include "AudioSource.h"
Index: code/trunk/src/audio/AudioSource.cc
===================================================================
--- code/trunk/src/audio/AudioSource.cc	(revision 1024)
+++ code/trunk/src/audio/AudioSource.cc	(revision 1039)
@@ -20,5 +20,5 @@
  *
  *   Author:
- *      ...
+ *      Nicolas Perrenoud <nicolape@ee.ethz.ch>
  *   Co-authors:
  *      ...
Index: code/trunk/src/audio/AudioSource.h
===================================================================
--- code/trunk/src/audio/AudioSource.h	(revision 1024)
+++ code/trunk/src/audio/AudioSource.h	(revision 1039)
@@ -1,6 +1,31 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Nicolas Perrenoud <nicolape@ee.ethz.ch>
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #ifndef _AudioSource_H__
 #define _AudioSource_H__
-
-#include "AudioIncludes.h"
 
 #include "AudioPrereqs.h"
Index: code/trunk/src/audio/AudioStream.cc
===================================================================
--- code/trunk/src/audio/AudioStream.cc	(revision 1024)
+++ code/trunk/src/audio/AudioStream.cc	(revision 1039)
@@ -20,14 +20,13 @@
  *
  *   Author:
- *      ...
+ *      Nicolas Perrenoud <nicolape@ee.ethz.ch>
  *   Co-authors:
  *      ...
  *
  */
-
-#include <string>
-
 #include "AudioStream.h"
-#include "../orxonox/core/Debug.h"
+
+#include "core/Debug.h"
+#include "core/Error.h"
 
 namespace audio
Index: code/trunk/src/audio/AudioStream.h
===================================================================
--- code/trunk/src/audio/AudioStream.h	(revision 1024)
+++ code/trunk/src/audio/AudioStream.h	(revision 1039)
@@ -1,8 +1,40 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Nicolas Perrenoud <nicolape@ee.ethz.ch>
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #ifndef _AudioStream_H__
 #define _AudioStream_H__
 
-#include "AudioIncludes.h"
+#include "AudioPrereqs.h"
 
-#include "AudioPrereqs.h"
+#include <string>
+#include <iostream>
+
+#include <AL/al.h>
+#include <vorbis/vorbisfile.h>
+#include <vorbis/codec.h>
 
 namespace audio