Index: code/trunk/src/network/Client.cc
===================================================================
--- code/trunk/src/network/Client.cc	(revision 1056)
+++ code/trunk/src/network/Client.cc	(revision 1062)
@@ -39,6 +39,6 @@
 //
 
+#include "Client.h"
 #include "core/CoreIncludes.h"
-#include "Client.h"
 
 namespace network
Index: code/trunk/src/network/Client.h
===================================================================
--- code/trunk/src/network/Client.h	(revision 1056)
+++ code/trunk/src/network/Client.h	(revision 1062)
@@ -42,7 +42,7 @@
 #define _Client_H__
 
+#include "NetworkPrereqs.h"
+
 #include <string>
-
-#include "NetworkPrereqs.h"
 
 #include "core/Tickable.h"
Index: code/trunk/src/network/ClientConnection.cc
===================================================================
--- code/trunk/src/network/ClientConnection.cc	(revision 1056)
+++ code/trunk/src/network/ClientConnection.cc	(revision 1062)
@@ -38,4 +38,6 @@
 //
 
+#include "ClientConnection.h"
+
 #include <iostream>
 // boost.thread library for multithreading support
@@ -45,5 +47,4 @@
 #include "util/Sleep.h"
 #include "core/Debug.h"
-#include "ClientConnection.h"
 
 namespace network
Index: code/trunk/src/network/ClientConnection.h
===================================================================
--- code/trunk/src/network/ClientConnection.h	(revision 1056)
+++ code/trunk/src/network/ClientConnection.h	(revision 1062)
@@ -41,8 +41,9 @@
 #define _ClientConnection_H__
 
+#include "NetworkPrereqs.h"
+
 #include <string>
 #include <enet/enet.h>
 
-#include "NetworkPrereqs.h"
 #include "PacketBuffer.h"
 
Index: code/trunk/src/network/ClientInformation.cc
===================================================================
--- code/trunk/src/network/ClientInformation.cc	(revision 1056)
+++ code/trunk/src/network/ClientInformation.cc	(revision 1062)
@@ -39,7 +39,7 @@
 //
 
+#include "ClientInformation.h"
+
 #include <iostream> //debug
-
-#include "ClientInformation.h"
 
 namespace network
Index: code/trunk/src/network/ClientInformation.h
===================================================================
--- code/trunk/src/network/ClientInformation.h	(revision 1056)
+++ code/trunk/src/network/ClientInformation.h	(revision 1062)
@@ -41,7 +41,7 @@
 #define _ClientInformation_H__
 
+#include "NetworkPrereqs.h"
+
 #include <enet/enet.h>
-
-#include "NetworkPrereqs.h"
 
 #define GAMESTATEID_INITIAL -1
Index: code/trunk/src/network/ConnectionManager.h
===================================================================
--- code/trunk/src/network/ConnectionManager.h	(revision 1056)
+++ code/trunk/src/network/ConnectionManager.h	(revision 1062)
@@ -41,4 +41,6 @@
 #define _ConnectionManager_H__
 
+#include "NetworkPrereqs.h"
+
 #include <string>
 #include <map>
@@ -46,5 +48,4 @@
 #include <enet/enet.h>
 
-#include "NetworkPrereqs.h"
 #include "PacketBuffer.h"
 #include "PacketManager.h"
Index: code/trunk/src/network/GameStateClient.cc
===================================================================
--- code/trunk/src/network/GameStateClient.cc	(revision 1056)
+++ code/trunk/src/network/GameStateClient.cc	(revision 1062)
@@ -27,9 +27,10 @@
  */
 
+#include "GameStateClient.h"
+
 #include <zlib.h>
 
 #include "core/CoreIncludes.h"
 #include "Synchronisable.h"
-#include "GameStateClient.h"
 
 namespace network
Index: code/trunk/src/network/GameStateClient.h
===================================================================
--- code/trunk/src/network/GameStateClient.h	(revision 1056)
+++ code/trunk/src/network/GameStateClient.h	(revision 1062)
@@ -42,4 +42,5 @@
 
 #include "NetworkPrereqs.h"
+#include "core/CorePrereqs.h"
 #include "GameStateManager.h"
 
Index: code/trunk/src/network/GameStateManager.cc
===================================================================
--- code/trunk/src/network/GameStateManager.cc	(revision 1056)
+++ code/trunk/src/network/GameStateManager.cc	(revision 1062)
@@ -39,4 +39,6 @@
 //
 
+#include "GameStateManager.h"
+
 #include <utility>
 #include <iostream>
@@ -44,8 +46,6 @@
 
 #include "core/CoreIncludes.h"
-
 #include "ClientInformation.h"
 #include "Synchronisable.h"
-#include "GameStateManager.h"
 
 namespace network
Index: code/trunk/src/network/GameStateManager.h
===================================================================
--- code/trunk/src/network/GameStateManager.h	(revision 1056)
+++ code/trunk/src/network/GameStateManager.h	(revision 1062)
@@ -41,7 +41,8 @@
 #define _GameStateManager_H__
 
+#include "NetworkPrereqs.h"
+
 #include <map>
 
-#include "NetworkPrereqs.h"
 #include "PacketTypes.h"
 
Index: code/trunk/src/network/NetworkFrameListener.h
===================================================================
--- code/trunk/src/network/NetworkFrameListener.h	(revision 1056)
+++ code/trunk/src/network/NetworkFrameListener.h	(revision 1062)
@@ -42,7 +42,8 @@
 #define _NetworkFrameListener_H__
 
+#include "NetworkPrereqs.h"
+
 #include <OgreFrameListener.h>
 
-#include "NetworkPrereqs.h"
 #include "Server.h"
 #include "Client.h"
Index: code/trunk/src/network/NetworkPrereqs.h
===================================================================
--- code/trunk/src/network/NetworkPrereqs.h	(revision 1056)
+++ code/trunk/src/network/NetworkPrereqs.h	(revision 1062)
@@ -35,5 +35,5 @@
 #define _NetworkPrereqs_H__
 
-#include "orxonox/OrxonoxPlatform.h"
+#include "OrxonoxPlatform.h"
 
 //-----------------------------------------------------------------------
Index: code/trunk/src/network/PacketBuffer.cc
===================================================================
--- code/trunk/src/network/PacketBuffer.cc	(revision 1056)
+++ code/trunk/src/network/PacketBuffer.cc	(revision 1062)
@@ -31,4 +31,6 @@
 // Author Oliver Scheuss
 
+#include "PacketBuffer.h"
+
 #include <iostream>
 #include <queue>
@@ -36,6 +38,4 @@
 #include <boost/bind.hpp>
 #include <boost/thread/mutex.hpp>
-
-#include "PacketBuffer.h"
 
 namespace network
Index: code/trunk/src/network/PacketBuffer.h
===================================================================
--- code/trunk/src/network/PacketBuffer.h	(revision 1056)
+++ code/trunk/src/network/PacketBuffer.h	(revision 1062)
@@ -42,7 +42,7 @@
 #define _PacketBuffer_H__
 
+#include "NetworkPrereqs.h"
+
 #include <enet/enet.h>
-
-#include "NetworkPrereqs.h"
 
 namespace network
Index: code/trunk/src/network/PacketDecoder.cc
===================================================================
--- code/trunk/src/network/PacketDecoder.cc	(revision 1056)
+++ code/trunk/src/network/PacketDecoder.cc	(revision 1062)
@@ -35,8 +35,9 @@
 */
 
-#include <iostream>
-
 #include "PacketTypes.h"
 #include "PacketManager.h"
+
+#include <iostream>
+
 #include "core/Debug.h"
 
Index: code/trunk/src/network/PacketGenerator.cc
===================================================================
--- code/trunk/src/network/PacketGenerator.cc	(revision 1056)
+++ code/trunk/src/network/PacketGenerator.cc	(revision 1062)
@@ -35,4 +35,7 @@
 */
 
+#include "PacketManager.h"
+#include "PacketTypes.h"
+
 #include <iostream>
 #include <list>
@@ -40,6 +43,4 @@
 #include <cstring>
 
-#include "PacketTypes.h"
-#include "PacketManager.h"
 
 namespace network
Index: code/trunk/src/network/PacketManager.h
===================================================================
--- code/trunk/src/network/PacketManager.h	(revision 1056)
+++ code/trunk/src/network/PacketManager.h	(revision 1062)
@@ -30,10 +30,10 @@
 #define _PacketManager_H__
 
+#include "NetworkPrereqs.h"
+
 #include <string>
 #include <enet/enet.h>
 
 #include "core/CoreIncludes.h"
-
-#include "NetworkPrereqs.h"
 
 #define CLIENTID_CLIENT -1
Index: code/trunk/src/network/Server.cc
===================================================================
--- code/trunk/src/network/Server.cc	(revision 1056)
+++ code/trunk/src/network/Server.cc	(revision 1062)
@@ -38,4 +38,6 @@
 //
 //
+
+#include "Server.h"
 
 #include <iostream>
@@ -47,5 +49,4 @@
 //#include "NetworkFrameListener.h"
 #include "util/Sleep.h"
-#include "Server.h"
 
 
Index: code/trunk/src/network/Server.h
===================================================================
--- code/trunk/src/network/Server.h	(revision 1056)
+++ code/trunk/src/network/Server.h	(revision 1062)
@@ -42,7 +42,7 @@
 #define _Server_H__
 
+#include "NetworkPrereqs.h"
+
 #include <string>
-
-#include "NetworkPrereqs.h"
 
 #include "core/Tickable.h"
Index: code/trunk/src/network/Synchronisable.cc
===================================================================
--- code/trunk/src/network/Synchronisable.cc	(revision 1056)
+++ code/trunk/src/network/Synchronisable.cc	(revision 1062)
@@ -39,8 +39,9 @@
 //
 
+#include "Synchronisable.h"
+
 #include <string>
 #include <iostream>
 
-#include "Synchronisable.h"
 #include "core/CoreIncludes.h"
 
Index: code/trunk/src/network/Synchronisable.h
===================================================================
--- code/trunk/src/network/Synchronisable.h	(revision 1056)
+++ code/trunk/src/network/Synchronisable.h	(revision 1062)
@@ -41,7 +41,7 @@
 #define _Synchronisable_H__
 
+#include "NetworkPrereqs.h"
+
 #include <list>
-
-#include "NetworkPrereqs.h"
 #include "core/OrxonoxClass.h"
 
Index: code/trunk/src/network/dummyclient3.cc
===================================================================
--- code/trunk/src/network/dummyclient3.cc	(revision 1056)
+++ code/trunk/src/network/dummyclient3.cc	(revision 1062)
@@ -27,4 +27,6 @@
  */
 
+#include "Client.h"
+
 #include <iostream>
 #include <string>
@@ -33,5 +35,4 @@
 #include "PacketManager.h"
 #include "PacketTypes.h"
-#include "Client.h"
 
 using namespace network;
Index: code/trunk/src/network/dummyserver3.cc
===================================================================
--- code/trunk/src/network/dummyserver3.cc	(revision 1056)
+++ code/trunk/src/network/dummyserver3.cc	(revision 1062)
@@ -27,4 +27,6 @@
  */
 
+#include "Server.h"
+
 #include <iostream>
 
@@ -32,5 +34,4 @@
 #include "PacketManager.h"
 #include "PacketTypes.h"
-#include "Server.h"
 
 namespace network