Index: code/trunk/visual_studio/base_properties.vsprops
===================================================================
--- code/trunk/visual_studio/base_properties.vsprops	(revision 1064)
+++ code/trunk/visual_studio/base_properties.vsprops	(revision 1084)
@@ -8,5 +8,5 @@
 	<Tool
 		Name="VCCLCompilerTool"
-		AdditionalIncludeDirectories="&quot;$(RootDir)src&quot;;&quot;$(RootDir)src\orxonox&quot;;&quot;$(DependencyDir)include&quot;"
+		AdditionalIncludeDirectories="&quot;$(RootDir)src&quot;;&quot;$(RootDir)src\orxonox&quot;;&quot;$(RootDir)src\util\tolua&quot;;&quot;$(DependencyDir)include&quot;"
 		PreprocessorDefinitions="WIN32;__WIN32__;_WIN32;BOOST_ALL_DYN_LINK;OIS_DYNAMIC_LIB; ZLIB_WINAPI"
 		WarningLevel="3"
Index: code/trunk/visual_studio/base_properties_debug.vsprops
===================================================================
--- code/trunk/visual_studio/base_properties_debug.vsprops	(revision 1064)
+++ code/trunk/visual_studio/base_properties_debug.vsprops	(revision 1084)
@@ -13,5 +13,5 @@
 		BasicRuntimeChecks="3"
 		RuntimeLibrary="3"
-		DebugInformationFormat="4"
+		DebugInformationFormat="3"
 	/>
 	<Tool
Index: code/trunk/visual_studio/core_properties.vsprops
===================================================================
--- code/trunk/visual_studio/core_properties.vsprops	(revision 1064)
+++ code/trunk/visual_studio/core_properties.vsprops	(revision 1084)
@@ -12,5 +12,5 @@
 	<Tool
 		Name="VCLinkerTool"
-		AdditionalDependencies="OgreMain$(CS).lib OIS$(CSS).lib lua$(CS).lib"
+		AdditionalDependencies="OgreMain$(CSS).lib OIS$(CS).lib lua51$(CS).lib"
 	/>
 </VisualStudioPropertySheet>
Index: code/trunk/visual_studio/network_properties.vsprops
===================================================================
--- code/trunk/visual_studio/network_properties.vsprops	(revision 1064)
+++ code/trunk/visual_studio/network_properties.vsprops	(revision 1084)
@@ -12,5 +12,5 @@
 	<Tool
 		Name="VCLinkerTool"
-		AdditionalDependencies="enet$(CSS).lib zlib$(CSS).lib"
+		AdditionalDependencies="enet$(CS).lib zlib$(CS).lib"
 		IgnoreDefaultLibraryNames="LIBCMT;LIBCMTD"
 	/>
Index: code/trunk/visual_studio/orxonox_properties.vsprops
===================================================================
--- code/trunk/visual_studio/orxonox_properties.vsprops	(revision 1064)
+++ code/trunk/visual_studio/orxonox_properties.vsprops	(revision 1084)
@@ -14,5 +14,5 @@
 	<Tool
 		Name="VCLinkerTool"
-		AdditionalDependencies="OgreMain$(CS).lib OIS$(CSS).lib"
+		AdditionalDependencies="OgreMain$(CSS).lib OIS$(CS).lib"
 		OutputFile="$(OutDir)$(ProjectName)$(CS).exe"
 		IgnoreDefaultLibraryNames=""
Index: code/trunk/visual_studio/tolua++_properties.vsprops
===================================================================
--- code/trunk/visual_studio/tolua++_properties.vsprops	(revision 1064)
+++ code/trunk/visual_studio/tolua++_properties.vsprops	(revision 1084)
@@ -6,7 +6,3 @@
 	InheritedPropertySheets=".\directory_properties.vsprops"
 	>
-	<Tool
-		Name="VCLinkerTool"
-		AdditionalDependencies="lua$(CS).lib"
-	/>
 </VisualStudioPropertySheet>
Index: code/trunk/visual_studio/util_properties.vsprops
===================================================================
--- code/trunk/visual_studio/util_properties.vsprops	(revision 1064)
+++ code/trunk/visual_studio/util_properties.vsprops	(revision 1084)
@@ -12,5 +12,5 @@
 	<Tool
 		Name="VCLinkerTool"
-		AdditionalDependencies="OgreMain$(CS).lib"
+		AdditionalDependencies="OgreMain$(CSS).lib"
 	/>
 </VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/core.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/core.vcproj	(revision 1064)
+++ code/trunk/visual_studio/vc8/core.vcproj	(revision 1084)
@@ -249,11 +249,22 @@
 			</File>
 			<File
-				RelativePath="..\..\src\core\ToLuaBind.cc"
-				>
-			</File>
-			<File
 				RelativePath="..\..\src\core\XMLPort.cc"
 				>
 			</File>
+			<Filter
+				Name="tolua"
+				>
+				<File
+					RelativePath="..\..\src\core\tolua\tolua_bind.cc"
+					>
+					<FileConfiguration
+						Name="Debug|Win32"
+						>
+						<Tool
+							Name="VCCLCompilerTool"
+						/>
+					</FileConfiguration>
+				</File>
+			</Filter>
 		</Filter>
 		<Filter
@@ -411,11 +422,15 @@
 			</File>
 			<File
-				RelativePath="..\..\src\core\ToLuaBind.h"
-				>
-			</File>
-			<File
 				RelativePath="..\..\src\core\XMLPort.h"
 				>
 			</File>
+			<Filter
+				Name="tolua"
+				>
+				<File
+					RelativePath="..\..\src\core\tolua\tolua_bind.h"
+					>
+				</File>
+			</Filter>
 		</Filter>
 	</Files>
Index: code/trunk/visual_studio/vc8/tolua++.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/tolua++.vcproj	(revision 1064)
+++ code/trunk/visual_studio/vc8/tolua++.vcproj	(revision 1084)
@@ -133,4 +133,12 @@
 				RelativePath="..\..\src\util\tolua\tolua.c"
 				>
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -157,4 +165,12 @@
 				RelativePath="..\..\src\util\tolua\toluabind.c"
 				>
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
 			</File>
 		</Filter>